Author Topic: ( C3D ) Reset all elevations to 0.00  (Read 4082 times)

0 Members and 1 Guest are viewing this topic.

Mark

  • Custom Title
  • Seagull
  • Posts: 28762
( C3D ) Reset all elevations to 0.00
« on: October 20, 2005, 08:24:01 AM »
I need to set all point elev.'s to 0 in C3D, aside from editing each point, is there a better way?

BTW, using overrides in the point group works only while the dwg is open.
TheSwamp.org  (serving the CAD community since 2003)

elsos

  • Guest
Re: ( C3D ) Reset all elevations to 0.00
« Reply #1 on: October 20, 2005, 09:55:02 AM »
Mark,

This will make the points on the screen to be elev 0, but doesn't change the database, have to check points afterwards. Not what your looking for, and not the intent of the lisp, but maybe could use something in it??


Code: [Select]
; NOZ.LSP
; written 3-13-92 by Scott Yingling
; This routine strips out the Z coordinate from end points of lines.
; Lines having different Z's can not be fillet'd.


(defun c:NOZ ()
  (setvar "CMDECHO" 0)
  (setq ENTLIST (ssget)
        L (sslength ENTLIST)
        LINE-NO (- L L)
  )  ;end setq
    (while  (/= LINE-NO L)
       (setq ENT1 (ssname ENTLIST LINE-NO)
             ENT2 (entget ENT1)
             NEWZ 0.0
             END1 (assoc 10 ENT2)
             END2 (assoc 11 ENT2)
             XYZ1 (cdr END1)
             E1X  (car XYZ1)
             E1Y  (cadr XYZ1)
             XYZ2 (cdr END2)
             E2X  (car XYZ2)
             E2Y  (cadr XYZ2)
             NEW1 (cons 10 (list E1X E1Y NEWZ))
             NEW2 (cons 11 (list E2X E2Y NEWZ))
             SWAP-IT1 (subst NEW1 END1 ENT2)
             SWAP-IT2 (subst NEW2 END2 SWAP-IT1)
       )  ; end setq
       (entmod SWAP-IT2)
       (setq LINE-NO (+ LINE-NO 1))
     ) ; end while
  (setvar "CMDECHO" 1)
)

Mark

  • Custom Title
  • Seagull
  • Posts: 28762
Re: ( C3D ) Reset all elevations to 0.00
« Reply #2 on: October 20, 2005, 10:05:21 AM »
Mark,

This will make the points on the screen to be elev 0, but doesn't change the database, have to check points afterwards. Not what your looking for, and not the intent of the lisp, but maybe could use something in it??
 

Thanks Eric, I'll keep that around for reference material. :-)
TheSwamp.org  (serving the CAD community since 2003)

Dinosaur

  • Guest
Re: ( C3D ) Reset all elevations to 0.00
« Reply #3 on: October 21, 2005, 03:50:42 PM »
Mark,

If you go into the Points Group Properties dialog, there is a tab marked "Overrides" I think you will be able to set all of the points in any given point group in any project to zero from there with only the program open.

Mark

  • Custom Title
  • Seagull
  • Posts: 28762
Re: ( C3D ) Reset all elevations to 0.00
« Reply #4 on: October 21, 2005, 03:57:44 PM »
Mark,

If you go into the Points Group Properties dialog, there is a tab marked "Overrides" I think you will be able to set all of the points in any given point group in any project to zero from there with only the program open.

That does work but it appears to only for the current session.

The easiest way is to export the point to .cvs, edit, then import .csv.

Why adesk ( or who ever the so-called brains behind it ) thinks the points have to be in some DB form is beyond me, what's wrong with a simple ASCII file?
TheSwamp.org  (serving the CAD community since 2003)

Dinosaur

  • Guest
Re: ( C3D ) Reset all elevations to 0.00
« Reply #5 on: October 21, 2005, 06:07:34 PM »
Did you check those points back into the project after the changes?

Mark

  • Custom Title
  • Seagull
  • Posts: 28762
Re: ( C3D ) Reset all elevations to 0.00
« Reply #6 on: October 21, 2005, 06:11:09 PM »
Did you check those points back into the project after the changes?

No project, single dwg.
TheSwamp.org  (serving the CAD community since 2003)

mjfarrell

  • Seagull
  • Posts: 14444
  • Every Student their own Lesson
Re: ( C3D ) Reset all elevations to 0.00
« Reply #7 on: November 02, 2005, 08:03:18 PM »
Points Tab (Surface Style Dialog Box)
 
Use this tab to specify the settings for point components of the surface objects.

3D Geometry
Point Display Mode Specifies how the points are displayed:

Use Surface Elevation: Displays the points at their actual elevation values.
Flatten Elevations: Flattens or projects the points to the elevation value specified by the Flatten Points To Elevation property.
Exaggerate Elevation: Scales the points by the factor specified in the Exaggerate Points By Scale Factor property.
 
Flatten Points To Elevation Specifies the elevation used to flatten the points; available only when the Point Display Mode is set to Flatten Elevations.
 
 
OR

Optionally export the points using XML or the export points function.
Then bring the data into Land Desktop, and therein use the Utilities pull down to Flatten them all.

My question is WHY are you doing this?
Be your Best


Michael Farrell
http://primeservicesglobal.com/